> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cash Operating Transactions with Projected Transactions



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /ca/api/cash-operating-statement/transactions
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /ca/api/cash-operating-statement/transactions:
    get:
      tags:
        - Financial Statements
      summary: Get Cash Operating Transactions with Projected Transactions
      operationId: ca_api_cash_operating_statement_transactions_retrieve
      parameters:
        - in: query
          name: end_date
          schema:
            type: string
            format: date
          description: >-
            Latest date (inclusive) for which to retrieve data. Defaults to end
            of current month
        - in: query
          name: start_date
          schema:
            type: string
            format: date
          description: >-
            Earliest date (inclusive) for which to retrieve data. Defaults to
            six months ago
      responses:
        '200':
          description: No response body
      security:
        - knoxApiToken: []
components:
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````